#INCLUDE "RWMAKE.CH"
#INCLUDE "PROTHEUS.CH"

/*


ͻ
Programa  ACD100GI  Autor  Anderson C. P. Coelho  Data   29/12/12 
͹
Desc.     Ponto de Entrada chamado na gerao das Ordens de Separao,
          utilizado para a gravao de campos especficos.            
͹
Uso        Protheus 11 - Especfico para a empresa Arcolor            
ͼ


*/

User Function ACD100GI()

Local _aSavArea := GetArea()
Local _cObsSep  := ""
Local _cNOMCLI  := ""
Local _cTpPed   := "" 
Local _cNOMEOP  := "" 


dbSelectArea("SA2")
_aSavSA2 := SA2->(GetArea())
dbSelectArea("SA1")
_aSavSA1 := SA1->(GetArea()) 
dbSelectArea("CB1")
_aSavCB1 := CB1->(GetArea())
dbSelectArea("SC5")
_aSavSC5 := SC5->(GetArea())
dbSelectArea("CB7")
_aSavCB7 := CB7->(GetArea())
dbSelectArea("CB8")
_aSavCB8 := CB8->(GetArea())
dbSetOrder(1)
If dbSeek(xFilial("CB8") + CB7->CB7_ORDSEP)
	While !CB8->(EOF()) .AND. CB8->CB8_FILIAL == xFilial("CB8") .AND. CB8->CB8_ORDSEP == CB7->CB7_ORDSEP
		dbSelectArea("SC5")
		dbSetOrder(1)
		If dbSeek(xFilial("SC5") + CB8->CB8_PEDIDO)
			_cTpPed := SC5->C5_TIPO
			If !Empty(SC5->C5_OBSSEP) .AND. !("Pedido: " + SC5->C5_NUM + " - " + AllTrim(SC5->C5_OBSSEP))$AllTrim(_cObsSep)
				_cObsSep += "Pedido: " + SC5->C5_NUM + " - " + AllTrim(SC5->C5_OBSSEP) + CHR(13) + CHR(10)
			EndIf
		EndIf
		dbSelectArea("CB8")
		dbSetOrder(1)
		CB8->(dbSkip())
	EndDo
EndIf        

If _cTpPed $ "D/B"       //$ : CONTIDO
	dbSelectArea("SA2")
	dbSetOrder(1)
	If dbSeek (xFilial("SA2") + CB7->CB7_CLIENT + CB7->CB7_LOJA) 
	   _cNOMCLI := SA2->A2_NOME  
	EndIf   
Else
	dbSelectArea("SA1")
	dbSetOrder(1)
	If dbSeek (xFilial("SA1") + CB7->CB7_CLIENT + CB7->CB7_LOJA) 
	   _cNOMCLI := SA1->A1_NOME  
	EndIf
EndIf

dbSelectArea("CB1")
dbSetOrder(1)
If dbSeek (xFilial("CB1") + CB7->CB7_CODOPE) 
	_cNOMEOP := CB1->CB1_NOME
EndIf

dbSelectArea("CB8")

dbSetOrder(1)

If dbSeek(xFilial("CB8") + CB7->CB7_ORDSEP)
   
dbSelectArea("SC5")
   
dbSetOrder(1)
   
If dbSeek(xFilial("SC5") + CB8->CB8_PEDIDO)              
      
dbSelectArea("CB7")
      
RecLock("CB7",.F.)
      
If !Empty(_cObsSep)
	
         CB7->CB7_OBS1 := _cObsSep
      
EndIf
      
CB7->CB7_NOMCLI   := _cNOMCLI 
      
CB7->CB7_NOMEOP   := _cNOMEOP  
      
CB7->CB7_PEDIDO   := CB8->CB8_PEDIDO
      
CB7->CB7_DTPED    := SC5->C5_EMISSAO   
      
CB7->(MSUNLOCK())
   
EndIf

EndIf

RestArea(_aSavSC5)
RestArea(_aSavCB8)
RestArea(_aSavSA1)
RestArea(_aSavCB1)
RestArea(_aSavCB7) 
RestArea(_aSavArea)

Return (_cNOMCLI)